Stops
General Description
The Stops method returns a list of vehicle stops within the requested period.
It only returns data for vehicles the user has access to.
If the list contains at least one vehicle the user does not have access to, a response with error code 401 will be returned.
It is subject to the Rate Limit restrictions.
⚠️ All requests to this endpoint must include the
api-version=2.0parameter in the URL.
URL:POST https://api.trackgps.ro/api/carriers/stops?api-version=2.0
⚠️ Note: All date and time values sent or returned by this endpoint are in the company’s local time zone.
Request Parameters
{
"vehiclesList": [
0
],
"startDate": "2024-09-09T09:49:19.549",
"endDate": "2024-09-09T09:49:19.549",
"stationaryMargin": 0
}- vehiclesList: List of vehicle IDs for which stops are requested (maximum 10 vehicles).
- startDate: Start date and time of the period for which stops are requested.
- endDate: End date and time of the period for which stops are requested.
- stationaryMargin: Stop duration in minutes (cannot be less than 1 minute).
Response Structure
{
"payload": [
{
"results": {
"additionalProp1": [
{
"vehicleId": 0,
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"latitude": 0,
"longitude": 0,
"stationaryEngineOnTime": 0,
"distance": 0,
"maxSpeed": 0,
"averageSpeed": 0,
"speedCount": 0,
"indexKm": 0,
"indexHours": 0,
"address": "string",
"stopDuration": 0,
"engineOnStops": [
{
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"duration": 0
}
],
"hotSpot": "string",
"functioningTime": 0,
"isPrivate": true,
"drivers": [
{
"firstName": "string",
"lastName": "string"
}
],
"fuelConsumption": 0
}
],
"additionalProp2": [
{
"vehicleId": 0,
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"latitude": 0,
"longitude": 0,
"stationaryEngineOnTime": 0,
"distance": 0,
"maxSpeed": 0,
"averageSpeed": 0,
"speedCount": 0,
"indexKm": 0,
"indexHours": 0,
"address": "string",
"stopDuration": 0,
"engineOnStops": [
{
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"duration": 0
}
],
"hotSpot": "string",
"functioningTime": 0,
"isPrivate": true,
"drivers": [
{
"firstName": "string",
"lastName": "string"
}
],
"fuelConsumption": 0
}
],
"additionalProp3": [
{
"vehicleId": 0,
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"latitude": 0,
"longitude": 0,
"stationaryEngineOnTime": 0,
"distance": 0,
"maxSpeed": 0,
"averageSpeed": 0,
"speedCount": 0,
"indexKm": 0,
"indexHours": 0,
"address": "string",
"stopDuration": 0,
"engineOnStops": [
{
"startDate": "2025-04-11T14:33:30.175",
"endDate": "2025-04-11T14:33:30.175",
"duration": 0
}
],
"hotSpot": "string",
"functioningTime": 0,
"isPrivate": true,
"drivers": [
{
"firstName": "string",
"lastName": "string"
}
],
"fuelConsumption": 0
}
]
}
}
],
"correlationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"failureReasons": [
{
"errorCode": "string",
"errorParameters": [
"string"
]
}
],
"isSuccess": true
}Property Descriptions
- payload: List of vehicle stops.
- results: Stop results for each vehicle.
- vehicleId: Vehicle ID.
- startDate: Start date and time of the stop.
- endDate: End date and time of the stop.
- latitude: Latitude of the stop location.
- longitude: Longitude of the stop location.
- stationaryEngineOnTime: Time spent stopped with the engine on.
- distance: Distance traveled.
- maxSpeed: Maximum speed reached.
- averageSpeed: Average speed.
- speedCount: Number of speed measurements.
- indexKm: Kilometer index.
- indexHours: Hour index.
- address: Address of the stop location.
- stopDuration: Duration of the stop.
- engineOnStops: List of events with the engine on.
- startDate: Start date and time of the stop with the engine on.
- endDate: End date and time of the stop with the engine on.
- duration: Duration of the stop with the engine on.
- hotSpot: Hotspot name if the stop occurred in a defined hotspot.
- functioningTime: Operating time.
- isPrivate: Indicator if the stop is private.
- drivers: List of drivers.
- firstName: Driver’s first name.
- lastName: Driver’s last name.
- fuelConsumption: Fuel consumption for the previous trip and current stop (if stopped with the engine on).
- results: Stop results for each vehicle.
- correlationId: Unique ID for correlating the request and response.
- failureReasons: List of failure reasons, if any.
- errorCode: Error code.
- errorParameters: Additional error parameters.
- isSuccess: Indicator if the request was processed successfully.